Summary: tools for reading and writing Macintosh HFS volumes
Name: hfsutils
Version: 2.0
Release: 1
Source: ftp://ftp.mars.org/pub/hfs/hfsutils-2.0.tar.gz
Patch: hfsutils-2.0-config.patch
BuildRoot: /tmp/hfsutils-build
Copyright: GPL
Group: Utilities/File
%package -n hfsutils-devel
Summary: C library for reading and writing Macintosh HFS volumes
Group: Development/Libraries

%description
A portable, free implementation of routines for accessing HFS volumes.
Provides this through several command-line programs, a tk-based front end
for browsing and copying files, and a Tcl package and interface for
scriptable access to volumes.

%description -n hfsutils-devel
A portable, free implementation of routines for accessing HFS volumes via a
C library for low-level access to volumes.

%prep
%setup
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
make DESTDIR=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/lib
make DESTDIR=$RPM_BUILD_ROOT/usr install_lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES COPYING COPYRIGHT CREDITS INSTALL README TODO
%config
/usr/bin/hattrib
/usr/bin/hcd
/usr/bin/hcopy
/usr/bin/hdel
/usr/bin/hdir
/usr/bin/hformat
/usr/bin/hfs
/usr/bin/hfssh
/usr/bin/hls
/usr/bin/hmkdir
/usr/bin/hmount
/usr/bin/hpwd
/usr/bin/hrename
/usr/bin/hrmdir
/usr/bin/humount
/usr/bin/hvol
/usr/bin/xhfs
/usr/man/man1/hattrib.1
/usr/man/man1/hcd.1
/usr/man/man1/hcopy.1
/usr/man/man1/hdel.1
/usr/man/man1/hdir.1
/usr/man/man1/hformat.1
/usr/man/man1/hfs.1
/usr/man/man1/hfssh.1
/usr/man/man1/hfsutils.1
/usr/man/man1/hls.1
/usr/man/man1/hmkdir.1
/usr/man/man1/hmount.1
/usr/man/man1/hpwd.1
/usr/man/man1/hrename.1
/usr/man/man1/hrmdir.1
/usr/man/man1/humount.1
/usr/man/man1/hvol.1
/usr/man/man1/xhfs.1

%files -n hfsutils-devel
/usr/lib/libhfs.a
/usr/include/hfs.h
